Subject: Re: bug#79346: igc: PolicyShouldCollectWorld

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Sep 2025 17:46:47 +0300

> From: Payas Relekar <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  Helmut Eller
>  <[email-masked]>
> Date: Sat, 06 Sep 2025 19:43:53 +0530
> 
> Gerd Möllmann <[email-masked]> writes:
> 
> > From what I see in git, as a bystander, either more or less everyone
> > involved has lost interest, or it's considered stable, and there's not
> > much more to do.
> 
> Just my ¢2. I've been daily-driving feature/igc for few months now, and
> other than couple of crashes early on, it has been pretty smooth sailing
> for past couple of months at least.
> 
> I'd very much like to see it land in master, hopefully in time for next
> release, even if igc isn't enabled by default. I'm not particularly fond
> of running master day-to-day, but am very much willing to build stable
> with different flag for igc. My distro of choice can easily support both
> variants (already does for emacs-nox and pgtk) and I will be happy to
> add and maintain another variant for igc.
> 
> Anyway, a lot of work has been poured into feature/igc, I can attest to
> its stability (for what its worth) and would really like to see it
> merged.

Thanks for the feedback.

>From where I stand, important changes are still being installed and
discussed.  Also, the discussion of whether to fork MPS has died
without any clear conclusions.  Both of these are signs that the
branch is still not ready to land on master, its stability
notwithstanding.

And if we do decide to land this, we will need motivated individuals
to react to issues and fix them in a timely manner, and do other
mundane jobs that always pop up when a significant new feature lands
on master.